%%HP: T(3)A(R)F(.);
{
"ALGEBRAIC CURVES"
"AGNESI's VERSIERA
Implicit:
X^2*Y-A^2*(A-Y)=0
Function:
Y=A^3/(X^2+A^2)
Parametric:
X=T
Y=A^3/(T^2+A^2)
Asymptotic Lines:
X\oo Y=0
Y\oo X=s1*i*A
Singularities:
Y\oo, DOUBLE ISOLATED, X=s1*i*A
Extrema:
X=0 MAXIMUM
Inflection Points:
X\oo
X=s1*A/\v/3
Comment:
A>0"
"BERNOULLI's LEMNISCATA
Implicit:
(X^2+Y^2)^2-2*A^2*(X^2-Y^2)=0
Polar:
\Gr^2=2*A^2*COS(2*\Gh)
Parametric:
X=-2*A^2*T*(2*A^2+T^2)/(4*A^4+T^4)
Y=-2*A^2*T*(2*A^2-T^2)/(4*A^4+T^4)
Asymptotic Lines:
I1 Y=i*X+s1*i*A
I2 Y=-i*X+s1*i*A
Singularities:
(0,0) NODE, Y=s1*X
I1, I2 DOUBLE POINTS
Extrema:
X=s1*A*\v/3/2
Inflection Points:
(0,0) twice
I1 twice
I2 twice
Knot Area:
2*A^2
Comment:
ABS(X)<A*\v/2
ABS(Y)<A/2"
"BISACCIA
Implicit:
X^4-2*X^2*Y+2*Y^2-X^2=0
Function:
Y=(X^2+s1*X*\v/(2-X^2))/2
Polar:
\Gr=A*COS(2*\Gh)/COS(\Gh)
Parametric:
X=\v/2*(1-2*T)/(2*T^2-2*T+1)
Y=(2*T-1)*(2*T^2-1)/(2*T^2-2*T+1)^2
Asymptotic Lines:
Y\oo
Singularities:
(0,0) NODE, Y=s1*X/\v/2
Extrema:
X=s1*\v/(1+\v/2/2) max
X=s1*\v/(1-\v/2/2) min
Comment:
ABS(X)<\v/2
(1-\v/2)/2<Y<(1+\v/2)/2"
"CARDIOID
Implicit:
(X^2+Y^2)^2-4*A*X*(X^2+Y^2)-4*A^2*Y^2=0
Polar:
\Gr=2*A*(COS(\Gh)+1)
Parametric:
X=4*A*(1-T^2)/(1+T^2)^2
Y=8*A*T/(1+T^2)^2
Asymptotic Lines:
I1
I2
Singularities:
(0,0) CUSPIDES-1, Y=0
I1 CUSPIDES-1, Y=-i*X+i*A
I2 CUSPIDES-1, Y=i*X-i*A
Extrema:
X=A*3/2 max and min
Knot Area:
6*\pi*A^2
Curve Length:
16*A
Comment:
A>0
ABS(Y)<3/2*\v/3*A
X<4*A
X>-R/2"
"CISSOIDE
Implicit:
X*(X^2+Y^2)-2*A*Y^2=0
Function:
Y=s1*\v/(X^3/(2*A-X))
Polar:
\Gr=2*A*SIN(\Gh)^2/COS(\Gh)
Parametric:
X=2*A*T^2/(1+T^2)
Y=2*A*T^3/(1+T^2)
Asymptotic Lines:
Y\oo X=2*A
I1 X-i*Y+A=0
I2 X+i*Y+A=0
Singularities:
(0,0) CUSPIDES-1, Y=0
Inflection Points:
Y\oo X=2*A
Comment:
A>0"
"CLEPSYDRA
Implicit:
X^2*Y^2-X^2+Y^2=0
Function:
Y=s1*X*\v/(1/(1+X^2))
Polar:
\Gr^2=COS(2*\Gh)/(COS(\Gh)^2*SIN(\Gh)^2)
Parametric:
X=2*T/(1-T^2)
Y=2*T/(1+T^2)
Asymptotic Lines:
X\oo Y=s1
Y\oo X=s1*i
Singularities:
(0,0) NODE, Y=s1*X
X\oo NODE, Y=s1
Y\oo ISOLATED NODE, X=s1*i
Inflection Points:
(0,0) 6 times"
"DESCARTES' LEAF
Implicit:
X^3+Y^3-3*A*X*Y=0
Polar:
\Gr=3*A*SIN(\Gh)*COS(\Gh)/(SIN(\Gh)^3+COS(\Gh)^3)
Parametric:
X=A*T/(1+T^3)
Y=A*T^2/(1+T^3)
Asymptotic Lines:
(1:-1:0) Y=-X-A
(1:(1+s1*i*\v/3)/2:0)
Singularities:
(0,0) NODE, X*Y=0
Inflection Points:
(1:-1:0)
(1:(1+s1*i*\v/3)/2:0)
Knot Area:
3/2*A^2
Comment:
after rotation of \pi/4
it can be solved:
Y=s1*\v/((X^2*(3*A-\v/2*X))/(3*(A+\v/2*X))"
"K-CURVE
Implicit:
Y^2*(X^2+Y^2)-A*X^2=0
Function:
X=s1*Y^2*\v/(1/(A^2-Y^2))
Polar:
\Gr^2=A^2/TAN(\Gh)^2
Parametric:
X=A*(1-T^2)^2/(2*T*(1+T^2))
Y=A*(1-T^2)/(1+T^2)
Asymptotic Lines:
X\oo Y=s1*A
I1 Y=-i*X
I2 y=i*X
Singularities:
(0,0) TACNODE, X=0
X\oo NODE, Y=s1*A
Inflection Points:
X\oo twice
X=2*A*i
X=-2*A*i
Comment:
A>0"
"LONGCHAMPS' CUBIC
Implicit:
X^3-A*(X^2+Y^2)=0
Function:
Y=s1*\v/(X^2*(X-A)/A)
Polar:
\Gr=A/COS(\Gh)^3
Parametric:
X=A*(1+T^2)
Y=A*T*(1+T^2)
Asymptotic Lines:
Y\oo IMPROPER LINE
Singularities:
(0,0) ISOLATED NODE, Y=s1*i*X
Inflection Points:
Y\oo
X=4/3*A
Comment:
A>0"
"PARABOLIC KNOT
Implicit:
X^3-A*(X^2-Y^2)=0
Function:
Y=s1*X*\v/(1-X/A)
Polar:
\Gr=A*COS(2*\Gh)/COS(\Gh)^3
Parametric:
X=A*(1-T^2)
Y=A*T*(1-T^2)
Asymptotic Lines:
Y\oo IMPROPER LINE
Singularities:
(0,0) NODE, Y=s1*X
Extrema:
X=2/3*A
Inflection Points:
Y\oo
X=4/3*A
Knot Area:
8/15*A^2
Comment:
A>0"
"PASCAL's SNAIL
Implicit:
(X^2+Y^2)^2-4*A*X*(X^2+Y^2)-A^2*(Y^2-3*X^2)=0
Polar:
outer branch
\Gr=A*(2*COS(\Gh)+1) ABS(\Gh)<2*\pi/3
inner branch
\Gr=A*(2*COS(\Gh)-1) ABS(\Gh)<\pi/3
Parametric:
X=A*(A^2-T^2)*(A^2-3*T^2)/(A^2+T^2)^2
Y=2*A^2*T*(A^2-3*T^2)/(A^2+T^2)^2
Asymptotic Lines:
I1
I2
Singularities:
(0,0) NODE, Y=s1*\v/3*X
I1 CUSPIDES-1, Y=-i*X+i*A
I2 CUSPIDES-1, Y=i*X-i*A
Knot Area:
outer
2/3*A^2*(3*\pi+\v/3)
inner
1/2*A^2*(2*\pi-3*\v/3)
Comment:
A>0
X<3*A
X>-A/8"
"PEAR QUARTIC
Implicit:
Y^3*(Y-2)+X^2=0
Function:
X=s1*Y*\v/(Y*(2-Y))
Polar:
\Gr=(SIN(\Gh)-\v/(SIN(\Gh)^2-COS(\Gh)^2))/SIN(\Gh)^2
Parametric Rational:
X=4*T^3/(1+T^2)^2
Y=2*T^2/(1+T^2)
Parametric:
X=COS(T)*(1+SIN(T))
Y=1+SIN(T)
Asymptotic Lines:
X\oo
Singularities:
X\oo TACNODE, IMPROPER LINE
(0,0) CUSPIDES-1, X=0
Inflection Points:
X=s1*(3-\v/3)/4*12^(1/4)
X=s1*(3-\v/3)/4*12^(1/4)*i
Knot Area:
\pi
Comment:
ABS(X)<3/4*\v/3
0<Y<2"
"QUARTIC CROSS
Implicit:
X^2*Y^2-A^2*(X^2+Y^2)=0
Function:
Y=s1*A*X*\v/(1/(X^2-A^2))
Polar:
\Gr^2=A^2/(SIN(\Gh)*COS(\Gh))^2
Parametric:
X=(A^2+T^2)/(2*T)
Y=A*(A^2+T^2)/(A^2-T^2)
Asymptotic Lines:
X\oo Y=s1*A
Y\oo X=s1*A
Singularities:
(0,0) ISOLATED NODE, Y=s1*i*X
X\oo NODE, Y=s1*A
Y\oo NODE, X=s1*A
Inflection Points:
X\oo twice
Y\oo twice
(0,0) twice
Comment:
A>0"
"STROPHOID
Implicit:
X*(X^2+Y^2)-A*(X^2-Y^2)=0
Function:
Y=s1*X*\v/((A-X)/(A+X))
Polar:
\Gr=A*COS(2*\Gh)/COS(\Gh)
Parametric:
X=A*(1-T^2)/(1+T^2)
Y=A*T*(1-T^2)/(1+T^2)
Asymptotic Lines:
Y\oo X=-A
I1 X-i*Y-A=0
I2 X+i*Y-A=0
Singularities:
(0,0) NODE, Y=s1*X
Extrema:
X=A*(\v/5-1)/2
Inflection Points:
Y\oo
X=2*A
Knot Area:
A^2*(2-\pi/2)
Comment:
A>0"
"VISIERA
Implicit:
X*(X^2+Y^2)-A*(2*X^2+Y^2)=0
Function:
Y=s1*\v/(X^2*(2*A-X)/(X-A))
Polar:
\Gr=A*(1+COS(\Gh)^2)/COS(\Gh)
Parametric:
X=A*(2+T^2)/(1+T^2)
Y=A*T*(2+T^2)/(1+T^2)
Asymptotic Lines:
Y\oo X=A
I1 2*X-2*i*Y-A=0
I2 2*X+2*i*Y-A=0
Singularities:
(0,0) DOUBLE ISOLATED, y=s1*i*\v/2*X
Inflection Points:
Y\oo
X=8/5*A
Comment:
A>0"
"IMPROPER POINTS
P\oo=(a:b:0)
F(P\oo)=0
to send P\oo in (0,0) set:
if a\=/0 then
X=a*z
Y=y+b*z
Z=x
if a=0 then
X=x
Y=z
Z=y
now use G(x,y,z)=F(X,Y,Z)"
"TANGENT LINE
Implicit:
\.dX(F(X0,Y0))*(X-X0)+\.dY(F(X0,Y0))*(Y-Y0)
Function:
Y=Y\180(X0)*(X-X0)+Y0
Polar:
1/\Gr=1/\Gr0*COS(\Gh-\Gh0)+\.d\Gh(1/\Gr(\Gh))|(\Gh=\Gh0)*SIN(\Gh-\Gh0)
Parametric:
(X-X0)/X\180(T0)=(Y-Y0)/Y\180(T0)
Homogeneous:
\GS(j=1,3,\.dXj(F(p0,p1,p2)*Xj))=0
Zero:
(0,0) is an r-point if
F contains only X^\Ga*Y^\Gb,
where (\Ga+\Gb)\>=r.
tangent(s) equation
\GS(\Ga+\Gb=r,Kj*X^\Ga*Y^\Gb)=0
Improper Points:
X\oo is r-point if the
maximum power of X
in F is n-r.
tangent(s) equation
(\GS Kj*X^(n-r)*Y^\Ga)/X^(n-r)=0
if solution gives k<r
tangents, count r-k times
the improper line.
Comment:
the same holds for Y\oo,
changing X with Y."
}
