%%HP: T(3)A(R)F(.);
{
"DIFFERENTIAL EQUATION"
"Y'=P(X)*Y+Q(X)
LINEAR
Y(X)=F(X)*(Y0+\.S(X0,X,Q(T)/F(T),X))
F(X)=EXP(\.S(X0,X,P(T),T))"
"Y'=P(X)*Y+Q(X)*Y^\Ga
BERNOULLI
\Ga>0 \-> Y(X)=0

\Ga\=/0, \Ga\=/1 \-> Z=Y^(1-\Ga)
F(X)=EXP(\.S(X0,X,P(T),T))
Y^(1-\Ga)=F*(C+(1-\Ga)*\.S(Q*F^(\Ga-1)))"
"Y'=P(X)*Y+Q(X)*Y^2+R(X)
RICCATI
known a solution t(X) let Y=t+1/Z
Z'=-Z*(2*Q*t+P)-Q"
"Y'=A(X)*B(Y)
SEPARABLE
[1] All roots of B(Y)
[2] \.S 1/B dY = \.S A dX + C"
"Y'=F(Y/X)
HOMOGENEOUS
Z(X)=Y(X)/X
Z'=(F(Z)-Z)/X"
"Y'=-P(X,Y)/Q(X,Y)
EXACT
[1] \.S(X0,X,P(T,Y),T)+\.S(Y0,Y,Q(X0,T),T)=C
[2] \.S(X0,X,P(T,Y0),T)+\.S(Y0,Y,Q(X,T),T)=C"
"Y'=-P(X,Y)/Q(X,Y)
NOT EXACT
G(X,Y) integrating factor
P*Gy-Q*Gx=G*(Qx-Py)

look for a special G(u)
u=X,Y,X*Y,X/Y or Y/X.
if any of the following
functions depends on u,
the integrating factor
is: EXP(\.S(f(u)du))

u=X   \-> (Py-Qx)/Q
u=Y   \-> -(Py-Qx)/P
u=X*Y \-> (Py-Qx)/(Y*Q-X*P)
u=X/Y \-> Y^2*(Py-Qx)/(X*P+Y*Q)
u=Y/X \-> -X^2*(Py-Qx)/(X*P+Y*Q)"
"Y'=F(L1/L2)
L1=a1*X+b1*Y+c1
L2=a2*X+b2*Y+c2

IF a1*b2-b1*a2\=/0
THEN solve for u(v) the
homogeneous eqn:
u'=(a1+b1*F(u/v))/(a2+b2*F(u/v))
and then solve for Y
the affine system: 
u=L1(X,Y), v=L2(X,Y) 

IF a1*b2-b1*a2=0
THEN 
let Z(X)=a1*X+b1*Y
solve for Z(X) the separable eqn.
(Z'-a1)/b1=F((Z+c1)/(k*Z+c2))
where k=a2/a1=b2/b1"
"Y=F(X,Y')
SOLVED FOR Y
put Y'(X)=P(X)
P(X)=Fx(X,P)+P'*Fp(X,P)
if P is found,
Y(X)=F(X,P(X,C))

Eliminate P between
Y=F(X,P)
Fp(X,P)=0
for singular solutions"
"Y=X*G(Y')+F(Y')
D'ALEMBERT-LAGRANGE
put Y'=P(X)
Deriving eqn.
P'*(X*G'(P)+F'(P))=P-G(P)
[1] Let P0 \-> P0=G(P0)
Y(X)=X*P0+F(P0)

[2] if P(X) has an inverse
X(P), then

(P-G(P))*X'(P)=X*G'(P)*F'(P)
Linear

X=X(P,C)
Y=X*G(P)+F(P)
are parametric solution"
"Y=X*Y'+F(Y')
CLAIRAUT
Y=C*X+F(C)

Singular solution by
eliminating C between
Y=C*X+F(C)
X+F'(C)=0"
"X=F(Y')
SOLVED FOR X
Parametric Solution:
y=\.S( T*F'(T) dT)+C
x=F(T)"
"Y=F(Y')
SOLVED FOR Y
Parametric Solution:
y=\.S( F'(T)/T dT)+C
y=F(T)"
"F(X,Y,C)=0
EVOLUTION
Fx(X,Y(X),C)=G(X,Y,Y')
Solve:
G(X,Y,-1/Y')=0
To find the equation
of orthogonal trajectory"
"THEOREMS
Y'=f(X,Y), Y(x0)=y0

H1. f continuous in U(x0,y0)
T1. at least one Y(X) exists near x0.

H2. both f and fy continuous
    in U(x0,y0)
T2. only one Y(X) exists near x0.

H3. let S=[a,b]xR < R^2
    both f and fy continuous in S
    f OR fy bounded
T3. Y(X) defined on [a,b] for any
    (x0,y0) in S.

H4. let S=[a,b]xR < R^2
    both f and fy continuous in S
    Y(X) solution defined in a subset
    I of [a,b]
    ABS(Y)<K for any X in I
T4. Y can be defined on [a,b]

H5. for any x s.t. Y is defined on
    [x0,x], |Y(x)-y0|<k*(x-x0)
T5. Y can be defined on [x0,\oo)"
"a(x)*Y''+b(x)*Y'+c(x)*Y=0
SECOND ORDER HOMOGENEOUS
solve a*y^2+b*y+c=0
(a,b,c may depend on x)
roots: y1, y2

find a basis for the subspace
of solutions:

y1\=/y2 both real 
        \-> EXP(y1*x)
        \-> EXP(y2*x)

y1=y2 
        \-> (\Ga*x+\Gb)*EXP(y1*x)

y1=\Ga+i*\Gb
y2=\Ga-i*\Gb
        \-> EXP(\Ga*x)*COS(\Gb*x)
        \-> EXP(\Ga*x)*Sin(\Gb*x)

in this case, generic solution
can be put in the form
  c1*EXP(\Ga*x)*SIN(\Gb*x+c2)
  c1*EXP(\Ga*x)*COS(\Gb*x-c2)
c1,c2 arbitrary constants"

"a(x)*Y''+b(x)*Y'+c(x)*Y=F(x)
SECOND ORDER COMPLETE
find a basis for homogeneous
y1(x), y2(x)

let W=y1*y2'-y2*y1'

let u1= \.S -F*y2/(W*a) dX
    u2= \.S +F*y1/(W*A) dX

a particular solution is:
P=y1*u1+y2*u2

the general solution is:
P+c1*y1+c2*y2"
"a(x)*Y''+b(x)*Y'+c(x)*Y=F(x)
REDUCTION OF ORDER
when a solution y1(x) of the
homogeneous is known, make 
the substitution:
y2(x)=y1(x)* \.S u(x)dx

if F(x)=0 put: 
k(x)=\.S b(x)/a(x) dx
find the indepnd. solution:
y2=y1*\.S(EXP(-k)/y1^2,dx)"

"a*Y''+b*Y'+c*Y=F(x)
POLYNOMIAL OPERATORS
if a*y^2+b*y+c has real
roots r1 and r2, write:
(D-r1)*(D-r2)*y=F(x)/a
where Dy=y' and D\178y=y''

solve for z: (D-r1)*z=F/a
then solve for y: (D-r2)*y=z"
}
